#!/bin/sh -e

./configure \
   --prefix=/usr \

make
make DESTDIR="$1" install
install -Dm644 nextaw.pc "$1/usr/lib/pkgconfig/nextaw.pc"

for file in libXaw.so libXaw.so.7 libXaw.so.7.0.0.1 libXaw3d.so libXaw3d.so.8 libXaw3d.so.8.0.0.1
do ln -s /usr/lib/libneXtaw.so "$1/usr/lib/$file"
done

for dir in Xaw Xaw3d
do ln -s /usr/include/X11/neXtaw "$1/usr/include/X11/$dir"
done

for pc in xaw7.pc xaw3d.pc
do ln -s /usr/lib/pkgconfig/nextaw.pc "$1/usr/lib/pkgconfig/$pc"
done
